# Check progress

Checks the progress of a conversion. 

💡 Tip: If you don't have a webhook, we recommend using /makecsv.

Endpoint: POST /checkprogress
Version: 1.5
Security: 

## Path parameters:

  - `version` (string, required)
    The version of the API.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "1.5"

## Request fields (multipart/form-data):

  - `appid` (integer, required)
    Insights-assigned application identifier. Required if you use this instead of appnumber.

  - `appnumber` (string, required)
    Customer-provided identifier for the application. Required if you use this instead of appid.
    Example: "ACME Widgets"

  - `owner` (string)
    The owner or company name of the applicant. This is only used in combination with appnumber.
    Example: "ACME Widgets"

  - `resfile` (string, required)
    The .res file.

## Response 200 fields (application/json):

  - `file_status` (array)

  - `file_status.fileConversionId` (integer)
    Internal use only.

  - `file_status.detectedDocTypeText` (string)
    The document type that's detected. They can be Bank Statement, Credit Card Statement, Application, Investment Statement, or Tax Form.

  - `file_status.processedDocTypeText` (string)
    The document type flagged when processed. They can be Bank Statement, Credit Card Statement, Application, Investment Statement, or Tax Form.

  - `file_status.reconciled` (boolean)
    Shows whether the statement reconciles.

  - `file_status.donegate` (boolean)
    Shows whether the statement values need to be negated for the statement to balance. Typically true for credit card statements."

  - `file_status.columnsValid` (boolean)
    For multi-statement PDFs, shows whether the columns for each statement match.

  - `file_status.fdicaddress` (string)
    Shows the physical address of the bank.

  - `file_status.fdiccity` (string)
    Shows the city where the bank is located.

  - `file_status.fdicstate` (string)
    Shows the state where the bank is located.

  - `file_status.fdiczipcode` (string)
    Shows the zip code of the bank.

  - `file_status.nsfcount` (integer)
    The number of NSF transactions and overdraft transactions.

  - `file_status.address1` (string)
    The first line of address.

  - `file_status.address2` (string)
    The second line of address.

  - `file_status.name` (string)
    The account owner name.

  - `file_status.company` (string)
    The account owner company.

  - `file_status.city` (string)
    The city from address.

  - `file_status.state` (string)
    The state or province from address.

  - `file_status.postalcode` (string)
    Postal code

  - `file_status.country` (string)
    Country

  - `file_status.remaining` (integer)
    The number of remaining conversions.

  - `file_status.transactions` (object)
    Not populated, use transactions API endpoint to retrieve transactions data.

  - `file_status.suggestion` (string)
    Suggestion(s) to help improve conversion results for PDF statement.

  - `file_status.pagecount` (integer)
    The number of pages in PDF.

  - `file_status.email` (string)
    The email for sending notifications when finished OCR processing.

  - `file_status.webhook` (string)
    The webhook for sending the results summary when finished converting.

  - `file_status.returnType` (integer)
    The output type for results. It's normally 3 for JSON output.

  - `file_status.minResolution` (integer)
    The minimum resolution found in an image.

  - `file_status.maxResolution` (integer)
    The maximum resolution found in an image.

  - `file_status.accounttype` (integer)
    The account type. 0=Bank; 2=Credit Card.

  - `file_status.fraudscore` (integer)
    The Thumbprint fraud score.

  - `file_status.producer` (string)
    The software that produced the PDF.

  - `file_status.tpreasonsIndexes` (array)

  - `file_status.tpreasons` (array)
    The list of reasons for the Thumbprint score.

  - `file_status.bankphones` (array)
    The list of phone numbers found in the statement.

  - `file_status.cdate` (string)
    The PDF creation date.

  - `file_status.mdate` (string)
    The PDF last modified date.

  - `file_status.isMonthToDate` (boolean)
    The statement is Month To Date.

  - `file_status.isBusiness` (boolean)
    Shows whether this is a business account. This is inferred from the owner name or account title.

  - `file_status.accounttitle` (string)

  - `file_status.accounttypestr` (string)
    A string with the account type as gleaned from the input, account titles, checks, etc. This could be either Checking, Savings, MoneyMarket, Line of Credit, or CCard.

  - `file_status.form` (object)

  - `file_status.form.legalName` (string)

  - `file_status.form.dba` (string)

  - `file_status.form.federalTaxId` (string)

  - `file_status.form.dateBusStart` (string)

  - `file_status.form.legalForm` (string)

  - `file_status.form.typeOfBiz` (string)

  - `file_status.form.stateOfInc` (string)

  - `file_status.form.prodOrServ` (string)

  - `file_status.form.physAddrStreet` (string)

  - `file_status.form.physAddrCity` (string)

  - `file_status.form.physAddrState` (string)

  - `file_status.form.physAddrZip` (string)

  - `file_status.form.phone` (string)

  - `file_status.form.mobile` (string)

  - `file_status.form.email` (string)

  - `file_status.form.website` (string)

  - `file_status.form.amountRequested` (string)

  - `file_status.form.grossAnnualRev` (string)

  - `file_status.form.grossCcReceipts` (string)

  - `file_status.form.owner1Name` (string)

  - `file_status.form.owner1Title` (string)

  - `file_status.form.owner1Perc` (string)

  - `file_status.form.owner1Street` (string)

  - `file_status.form.owner1City` (string)

  - `file_status.form.owner1State` (string)

  - `file_status.form.owner1Zip` (string)

  - `file_status.form.owner1DOB` (string)

  - `file_status.form.owner1SSN` (string)

  - `file_status.form.owner1Phone` (string)

  - `file_status.form.owner1Email` (string)

  - `file_status.form.owner1CredScore` (string)

  - `file_status.form.owner2Name` (string)

  - `file_status.form.owner2Title` (string)

  - `file_status.form.owner2Perc` (string)

  - `file_status.form.owner2Street` (string)

  - `file_status.form.owner2City` (string)

  - `file_status.form.owner2State` (string)

  - `file_status.form.owner2Zip` (string)

  - `file_status.form.owner2DOB` (string)

  - `file_status.form.owner2SSN` (string)

  - `file_status.form.owner2Phone` (string)

  - `file_status.form.owner2Email` (string)

  - `file_status.form.owner2CredScore` (string)

  - `file_status.form.submissionId` (integer)

  - `file_status.form.loanCorp` (string)

  - `file_status.form.fields` (array)

  - `file_status.form.fields.name` (string)

  - `file_status.form.fields.value` (string)

  - `file_status.form.nbFoundFields` (integer)

  - `file_status.currencycode` (string)

  - `file_status.language` (string)

  - `file_status.chargevalue` (integer)

  - `file_status.statementid` (integer)
    The ID statement (for PDF Insights only).

  - `file_status.detectedDocType` (integer)

  - `file_status.processedDocType` (integer)

  - `file_status.uncounted` (integer)

  - `file_status.uselessPages` (integer)

  - `file_status.fail` (boolean)

  - `file_status.likelyMissingTransactions` (boolean)
    Shows whether we detect transactions are missing from the statement.

  - `file_status.requiresRerunWithOCR` (boolean)
    Shows whether OCR is required to process the file. Only use when neverocr=true.

  - `file_status.nonTransactions` (string)
    Shows non-transactions.

  - `file_status.isStrongAccountNo` (boolean)
    Shows that it's very likely the account number is correct.

  - `file_status.filePreviouslySeen` (string)
    Returns the numInLast3Days field.

  - `file_status.numInLast3Days` (integer)
    Shows the number of times a file was seen in the last 3 days.

  - `file_status.numTransactions` (integer)
    The number of transactions. If it's a negative number, then an error occurred.

  - `file_status.balancesValid` (boolean)
    Both starting and ending balances were found in the PDF statement.

  - `file_status.numCredits` (integer)
    The number of credits.

  - `file_status.numDebits` (integer)
    The number of debits.

  - `file_status.startBalance` (number)
    The starting balance of the statement, if found. Otherwise, it's 0.00.

  - `file_status.endBalance` (number)
    The ending balance of the statement, if found. Otherwise, it's 0.00.

  - `file_status.endBalanceCalc` (number)
    The calculated ending balance of the statement (startBalance + totCredits - totDebits).

  - `file_status.endBalancePDF` (number)
    The calculated ending balance as presented on the statement.

  - `file_status.totCredits` (number)
    The total of all the credits in the statement.

  - `file_status.totDebits` (number)
    The total of all the debits in the statement.

  - `file_status.accountNumber` (string)
    Account number

  - `file_status.bankName` (string)
    Bank name. If not found it will be Unknown.

  - `file_status.bankURL` (string)
    Bank URL

  - `file_status.accountOwner` (array)
    The account owner address block from the statement.

  - `file_status.headerValid` (boolean)
    Shows whether header is valid.

  - `file_status.negate` (boolean)

  - `file_status.trackingId` (string)
    The user-provided or internally generated ID for tracking conversion.

  - `file_status.TaxForms` (string)
    Shows the name of the tax for.

  - `file_status.firstDate` (string)
    The date of the first transaction (in ISO 8601 format).

  - `file_status.lastDate` (string)
    The date of the last transaction (in ISO 8601 format).

  - `file_status.startDate` (string)
    The start date of the statement (in ISO 8601 format). If not found, it defaults to firstDate.

  - `file_status.endDate` (string)
    The end date of the statement (in ISO 8601 format). If not found, it defaults to lastDate.

  - `file_status.numMonths` (integer)
    The number of months in the PDF.

  - `file_status.monthSequence` (integer)
    The month sequence, starting with 0 for 1st month.

  - `file_status.numAccounts` (integer)
    The number of accounts.

  - `file_status.accountSequence` (integer)
    The account sequence, starting with 0 for 1st account.

  - `file_status.ocr` (boolean)
    Shows whether it was processed using OCR.

  - `file_status.image` (boolean)
    Show whether PDF was an image (not text-based).

  - `file_status.docType` (integer)
    The document type. 0 for bank or credit card statement. 1 for tax form.

  - `file_status.numTypos` (integer)
    The number of typos fixed by PDF+ PinPoint.

  - `file_status.suspectCount` (integer)
    The number of currency values with low-confidence digits.

  - `file_status.webReport` (boolean)
    Shows whether PDF was a web report.

  - `file_status.overDraftLimit` (number)
    Shows the overdraft limit (if found) in the statement.

  - `file_status.previewRequired` (boolean)
    Shows whether preview is recommended due to typos found or if suspectCount is more than 0.

  - `appinfo` (object)

  - `appinfo.appnumber` (string)
    The unique application number assigned by the user.

  - `appinfo.appid` (integer)
    The unique application ID assigned by the system.

  - `appinfo.naccounts` (integer)
    The number of accounts.

  - `appinfo.owner` (string)
    Application owner

  - `appinfo.totalstatements` (integer)
    The number of statements in the application.

  - `appinfo.totalstatements_reconciled` (integer)
    The number of statements that reconcile.

  - `appinfo.totaltaxforms` (integer)
    The number of tax forms.

  - `appinfo.totaltaxreturns` (integer)
    The number of tax returns.

  - `appinfo.address1` (string)
    The first line of address.

  - `appinfo.address2` (string)
    The second line of address.

  - `appinfo.citystate` (string)
    The city and state of address.

  - `appinfo.city` (string)
    The city of the address.

  - `appinfo.state` (string)
    The state of the address.

  - `appinfo.zip` (string)
    The zip code of the address.

  - `appinfo.expfactor` (string)
    Expense factor

  - `appinfo.accountlist` (array)
    List of accounts: account number statement date.

  - `appinfo.webSearch` (object)
    AI web search results on a merchant.

  - `appinfo.webSearch.industry` (object)
    Industry of merchant.

  - `appinfo.webSearch.industry.primary` (object)
    Primary industry of merchant.

  - `appinfo.webSearch.industry.primary.naics` (integer)
    North American Industry Classfication System (NAICS) code.
    Example: 123456

  - `appinfo.webSearch.industry.primary.title` (string)
    Merchant category
    Example: "All Other Miscellaneous Food Manufacturing"

  - `appinfo.webSearch.industry.primary.explanation` (string)
    Explanation from the web search on why the merchant was placed in this certain category.

  - `appinfo.webSearch.industry.primary.weight` (float)
    The confidence from the web search that it's the correct NAICS code.
    Example: "45.0"

  - `appinfo.webSearch.industry.alternate` (object)
    Secondary industry of merchant.

  - `appinfo.webSearch.industry.alternate.naics` (integer)
    North American Industry Classfication System (NAICS) code.
    Example: 654321

  - `appinfo.webSearch.industry.alternate.title` (string)
    Merchant Category
    Example: "Caterers"

  - `appinfo.webSearch.industry.alternate.explanation` (string)
    Explanation from the web search on why the merchant was placed in this category.

  - `appinfo.webSearch.industry.alternate.weight` (float)
    The confidence from the web search that it's the correct NAICS code.
    Example: "25.0"

  - `appinfo.webSearch.homeBasedBusiness` (boolean)
    Whether the merchant is a home-based business.

  - `appinfo.webSearch.sitesUsed` (string)
    The URLs of the sites used during the web search.

  - `appinfo.webSearch.lastRun` (string)
    The time stamp of when the web search was run.

  - `appinfo.webSearch.hasMinimalWebPresence` (string)
    Whether business has minimal web presence.

  - `appinfo.webSearch.businessDescription` (string)
    The description of the business.

## Response 206 fields (application/json):

  - `message` (string)
    Example: "Complete 73"

## Response 400 fields (application/json):

  - `error` (string)
    Example: "No file found to process"

## Response 401 fields (application/json):

  - `error` (string)
    Example: "Bad token"

## Response 500 fields (application/json):

  - `error` (string)
    Example: "Encountered an unknown error. It has been reported. Please contact support@moneythumb.com for any questions."

  - `requestId` (string)
    Unique identifier for the request, useful for tracing.

## Response 503 fields (application/json):

  - `error` (string)
    Example: "Service unavailable"


